Subject: Re: bug#25967: [PATCH] Add support for ImageMagick 7 (Bug#25967)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Sep 2018 20:11:49 +0300

> From: Andy Moreton <[email-masked]>
> Date: Mon, 03 Sep 2018 23:57:05 +0100
> 
> As a followup, here is a patch to add ImageMagick support for Windows.
> The patch was initially developed for Imagemagick 6, but I've updated it
> to support ImageMagick 7.
> 
> I've given this some light testing on a 64bit mingw64 (MSYS2) and 64bit
> cygwin builds, both of which use Imagemagick 7.
> 
> Please test, and report if it breaks anything on other platforms.

Thanks.  A couple of minor comments:

This needs a NEWS entry.

> +       '(imagemagick "libMagickWand-7.Q16HDRI-6.dll")))

Is this DLL name fixed for all the supported versions?  It sounds
like it's only for Imagemagick v7, and so the DLL for version 6 will
be named differently.

Also, AFAIU, there are binary incompatibilities between v6 and v7, so
an Emacs compiled with one of them should not attempt to load DLLs
from another, is that right?

For these two reasons, I think we should have a Lisp variable that
provides the version of Imagemagick with which Emacs was built, and we
need the dispatch in w32-win.el for loading the correct DLLs based on
that variable, like we do with libgif etc.